package com.xzzn.web.controller.ems;

import com.xzzn.common.core.controller.BaseController;
import com.xzzn.common.core.page.TableDataInfo;
import com.xzzn.ems.domain.EmsSiteSetting;
import com.xzzn.ems.service.IEmsSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 *
 * 站点配置
 *
 */
@RestController
@RequestMapping("/ems/siteConfig")
public class EmsSiteConfigController extends BaseController{

    @Autowired
    private IEmsSiteService iEmsSiteService;

    /**
     * 获取站点列表
     */
    @GetMapping("/getSiteInfoList")
    public TableDataInfo getSiteInfoList(@RequestParam String siteName, @RequestParam String startTime, @RequestParam String endTime)
    {
        startPage();
        List<EmsSiteSetting> list = iEmsSiteService.getAllSiteInfoList(siteName,startTime,endTime);
        return getDataTable(list);
    }

}
